
Redmine - Patch #8617

Indent subject of subtask ticket in exported issues PDF

2011-06-15 16:30 - Hayato Ito

Status: Closed Start date: 2011-06-15

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.3.0   

Description

I opend a List of ticket on the web view, subject of subtasks is indented.

But when I opend exported PDF, subtasks is not indented.

This patch is improvement to exported PDF indent.

Related issues:

Related to Redmine - Feature #5634: Export issue to PDF does not include Subt... Closed 2010-06-02

Associated revisions

Revision 7761 - 2011-11-10 11:10 - Toshi MARUYAMA

pdf: indent subject of subtask ticket in exported issues PDF (#8617)

Contributed by Hayato Ito.

History

#1 - 2011-06-16 01:46 - Toshi MARUYAMA

- Target version set to Candidate for next major release

#2 - 2011-08-10 09:21 - Ondřej Surý

May I ask why "Candidate for next major release"?  Why not next minor release?

The patch seems to be easy and contained to pdf.rb, works and it really helps (without it the resulting PDF is quite useless because all issues are

mixed together)†

(No flame intended.)

#3 - 2011-11-08 20:06 - Etienne Massip

Ondřej Surý wrote:

May I ask why "Candidate for next major release"?  Why not next minor release?

 Minor releases are for fixes.

#4 - 2011-11-10 11:09 - Toshi MARUYAMA

- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

#5 - 2011-11-10 11:09 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 1.3.0

#6 - 2011-11-10 11:16 - Toshi MARUYAMA

- File issues-list-pdf.png added

- File issues-list-web.png added

- File issues-list.pdf added

- Status changed from 7 to Closed
Committed in trunk r7761, thanks.

 

 

Files

indent_subject_exported_pdf.patch 1.07 KB 2011-06-15 Hayato Ito

issues-list-pdf.png 23.4 KB 2011-11-10 Toshi MARUYAMA

issues-list-web.png 28.9 KB 2011-11-10 Toshi MARUYAMA

issues-list.pdf 317 KB 2011-11-10 Toshi MARUYAMA
